// ----------------------------------------------------------------------------
// Programa     : paso.Prg
// Autores		: Juan Reyes.
// Objetivo 	: Registrar una venta con B/F/G, NC,ND
// ----------------------------------------------------------------------------

#Include "Inkey.Ch"
#Include "SetCurs.Ch"

#Define JUANREYES "HTTP://MICLIPPER.DA.RU"

//                1
// ----------------------------------------------------------------------------
FUNCTION Venta110( )
// ----------------------------------------------------------------------------
    Local GetList        := {}
    Local aPantBrow      := {}
    Local aPantEdit      := {}
    Local nTecla         := 0
    Local lIngresar      := FALSE
    Local aEspere        := {}
    Local aDbf           := {}
    Local nPComiArt      := 0
    Local aLineas        := {}

    If ValType( lIngArtSinCod ) != "L"
        lIngArtSinCod := FALSE
    EndIf

    nTipoLista := 1

    cArchDet   := JrArchTemp()
    aDbf       := { { "Codigo"    , "C", 20,  0 }, ;
                    { "Articulo"  , "C", 40,  0 }, ;
                    { "NCotiUtil" , "N", 14,  2 }  ;
                  }

    // Archivo auxiliar para insertar registros
    cArchPaso  := JrArchTemp()

    CLOSE ALL

    If EscriboBien .And. TengoPractica
        // Estoy mejor
    Else
        // maoma nomas
    EndIf

    If .Not. JrAbrirDBF( { { "Vendedor" , NIL       , TRUE , TRUE  }, ;
                           { "Clientes" , NIL       , TRUE , TRUE  }, ;
                           { "Bancos"   , NIL       , TRUE , TRUE  }  ;
                         } ;
                       )
        CLOSE ALL
        JrRestPantalla( aEspere )
        RETURN ( FALSE )
    EndIf

    JrRestPantalla( aEspere )


    oTb := TBrowseDB( nF1Vent + 6, nC1Vent + 1, nF2Vent - 4, nC2Vent - 1 )

        oTb:AddColumn( JrColumnNew( "CODIGO"         , { || Paso->Codigo   } ))
        oTb:AddColumn( JrColumnNew( "DESCRIPCION"    , { || Paso->Articulo }, "@!S30", cColor ))
        oTb:AddColumn( JrColumnNew( "U.M."           , { || Paso->UMedida  } ))

		oTb:headSep   := Jr_TBROW_HEADSEP
		oTb:footSep   := Jr_TBROW_FOOTSEP
		oTb:colSep	  := Jr_TBROW_COLSEP

		oTb:colorSpec := JrColor( Clr_CajaBrowse )

	Do While TRUE
        nTecla := JrNavTBrowse( oTb )

		Do Case
		Case nTecla == K_ESC
             Exit

		Case nTecla == K_INS .Or. nTecla == K_RETURN	// Agregar Registro

        Case nTecla == K_DEL

        Case nTecla == K_F3

        Case nTecla == K_F4

		Case nTecla == K_F5

        Case nTecla == K_F7

        Case nTecla == K_F9 .And. lSonMios

		Case nTecla == K_F10

		EndCase
	EndDo

RETURN ( NIL )
